

%define kconfiggui_major 5
%define libkconfiggui %mklibname kconfigGui %{kconfiggui_major}
%define kconfigcore_major 5
%define libkconfigcore %mklibname kconfigCore %{kconfigcore_major}
%define kconfig_devel %mklibname kconfig -d

Summary:        KDE Frameworks 5 Tier 1 addon with advanced configuration system
Name:           kconfig
Version: 		5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#-----------------------------------------
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5network-devel 
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5concurrent-devel
BuildRequires:  %{_lib}qt5xml-devel
BuildRequires:  kf5-macros
#-----------------------------------------

%description
KDE Frameworks 5 Tier 1 addon with advanced configuration system made of two parts:
KConfigCore and KConfigGui.

%files -f kconfig5_qt.lang
%_kf5_bindir/kreadconfig5
%_kf5_bindir/kwriteconfig5
%_kf5_prefix/libexec/kf5/kconf_update
%_kf5_prefix/libexec/kf5/kconfig_compiler_kf5
%{_datadir}/qlogging-categories5/kconfig.categories
%{_datadir}/qlogging-categories5/kconfig.renamecategories
#--------------------------------------------------------------------
%_kf5_libdir/libKF5ConfigGui.so.%{kconfiggui_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libKF5ConfigCore.so.%{kconfigcore_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libKF5ConfigQml.so.5
%_kf5_libdir/libKF5ConfigQml.so.5.*

%package -n %kconfig_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides: devel(libKF5ConfigCore(64bit))

%description -n %kconfig_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kconfig_devel
%_kf5_includedir/KConfig*
%_kf5_libdir/cmake/KF5Config
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build
%find_lang_kf5 %{name}5_qt


%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version
